Get a single Token Configuration
GET/zones/{zone_id}/token_validation/config/{config_id}
Get a single Token Configuration
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get a single Token Configuration
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/token_validation/config/$CONFIG_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"credentials": {
"keys": [
{
"alg": "ES256",
"crv": "P-256",
"kid": "38013f13-c266-4eec-a72a-92ec92779f21",
"kty": "EC",
"x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
"y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY"
}
]
},
"description": "Long description for Token Validation Configuration",
"last_updated": "2014-01-01T05:20:00.12345Z",
"title": "Example Token Validation Configuration",
"token_sources": [
"http.request.headers[\"x-auth\"][0]",
"http.request.cookies[\"Authorization\"][0]"
],
"token_type": "JWT"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2014-01-01T05:20:00.12345Z",
"credentials": {
"keys": [
{
"alg": "ES256",
"crv": "P-256",
"kid": "38013f13-c266-4eec-a72a-92ec92779f21",
"kty": "EC",
"x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
"y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY"
}
]
},
"description": "Long description for Token Validation Configuration",
"last_updated": "2014-01-01T05:20:00.12345Z",
"title": "Example Token Validation Configuration",
"token_sources": [
"http.request.headers[\"x-auth\"][0]",
"http.request.cookies[\"Authorization\"][0]"
],
"token_type": "JWT"
},
"success": true
}